Bug 118460 - Color of fonts in taskbar
Summary: Color of fonts in taskbar
Status: RESOLVED FIXED
Alias: None
Product: kicker
Classification: Plasma
Component: taskbarapplet (show other bugs)
Version: 3.5
Platform: Gentoo Packages Linux
: NOR wishlist with 134 votes (vote)
Target Milestone: ---
Assignee: Aaron J. Seigo
URL:
Keywords:
: 87566 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-12-16 16:54 UTC by David Watzke
Modified: 2007-02-27 01:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Ugly "for transpareny" taskbar fonts (46.64 KB, image/png)
2006-02-15 14:46 UTC, Beat Fasel
Details
"invisible" grey inactive taskbar elements (59.10 KB, image/png)
2006-05-21 20:42 UTC, Janet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Watzke 2005-12-16 16:54:54 UTC
Version:           3.5 (using KDE KDE 3.5.0)
Installed from:    Gentoo Packages
Compiler:          All compilers :) 
OS:                Linux

Hi. I'm using transparent Kicker panels, and here's problem. When I choose some black wallpaper, then I can't see black fonts on it. ;) So I wanna ask you: Can you add some option to KControl, or directly to Kicker to change font-color in taskbar? Thanks!
Comment 1 Jes Hall 2005-12-27 07:32:25 UTC
Have you tried setting your taskbar 'theme' to 'for transparency' ? This gives you shadowed fonts that are apparently easier to read against a dark background.
Comment 2 David Watzke 2005-12-27 11:57:39 UTC
No. Where I can found it?
Comment 3 David Watzke 2005-12-29 22:38:27 UTC
Oh, I've got it, but it's still unreadable. :(
Comment 4 Beat Fasel 2006-02-15 14:46:54 UTC
Created attachment 14706 [details]
Ugly "for transpareny" taskbar fonts

I agree with the first poster that there should be a way to change the color of
the taskbar fonts. In my case, I white color font would look much better. With
a transparent kicker, the 'For transparency' setting looks ugly. See attached
screenshots.
Comment 5 Janet 2006-05-21 20:42:42 UTC
Created attachment 16209 [details]
"invisible" grey inactive taskbar elements

Yes please, make the color of the inactive taskbar elements adjustable by the
user. That grey really is unreadable on most backgrounds (see screenshot) and I
often terminate a session with some programs still open because I haven't seen
them on the taskbar. The "for transparency" setting is unusable because it
slows the whole computer down very badly and working with the mouse is like
dragging it through bubble gum and windows react seconds after the mouse has
accomplished the action (see Bug 108603).
Comment 6 Jacob Schack 2006-06-13 23:27:02 UTC
I agree that it would be a really nice feature to be able to change the taskbar font color seperately from the system-wide "button text" color.
Comment 7 Andreas Loibl 2006-06-14 00:45:30 UTC
*** This bug has been confirmed by popular vote. ***
Comment 8 Patrick 2006-06-26 23:22:25 UTC
I'm still using mtaskbar (aka taskbar v2) because of this issue. It would really be nice to be able to adjust the font colour for the taskbar.
Comment 9 Andreas Kling 2006-08-15 22:43:19 UTC
*** Bug 87566 has been marked as a duplicate of this bug. ***
Comment 10 David Watzke 2006-08-15 22:59:04 UTC
Bug 87566 is not duplicate, but this is... ;-)
Comment 11 Mathieu Jobin 2006-08-17 01:59:47 UTC
basically the discussion on this bug simply agree to what has been said in the other bug. should not this one closed as duplicate instead of the bug #87566. really does not add any usefull info and has a higher number.
Comment 12 Robert Knight 2006-12-17 02:15:57 UTC
Hello,

This is a problem even with very tame backgrounds.  The default "shiny grey" background shipped with Kubuntu shows this problem with the taskbar icons for minimized windows for example - the lack of contrast with the background makes the text difficult to read.
Comment 13 Krzysztof Lichota 2007-02-26 08:22:23 UTC
I have implemented it in revision 636638 (on 3.5.x branch). Please test :)
Comment 14 David Watzke 2007-02-26 10:50:04 UTC
That's great, thank you! :-) I'd love to test it, but I don't use SVN version of KDE and I don't know what exactly did you modify :-/
Comment 15 Mathieu Jobin 2007-02-27 01:00:54 UTC
for anyone who wanted to try this out....

he specified exactly what he changed by giving the revision number.
you can download a patch using the following command


svn diff -r 636637:636638 svn://anonsvn.kde.org/home/kde/ > bug-118460.patch

i'm guessing it should apply fine against 3.5.6
Comment 16 David Watzke 2007-02-27 01:37:45 UTC
Thanks for the hint. It applies and works fine :-) Awesome!